import { HttpClient, HttpHandler, HttpInterceptor } from '@angular/common/http';
export declare class ForkableHttpClient extends HttpClient {
    private readonly baseHandler;
    private readonly interceptors;
    constructor(baseHandler: HttpHandler, interceptors: HttpInterceptor[]);
    fork(...interceptors: HttpInterceptor[]): ForkableHttpClient;
}
export declare function forkHttpClient(parent: ForkableHttpClient, ...interceptors: HttpInterceptor[]): ForkableHttpClient;
